Subject: Re: [PATCH net-next v2 07/10] net: phy: marvell10g: Add support for 2.5GBASET

From: Maxime Chevallier <[email-masked]>
Date: Wed, 20 Feb 2019 11:54:21 +0100

Hello Russell,

On Thu, 7 Feb 2019 23:48:24 +0000
Russell King - ARM Linux admin <[email-masked]> wrote:

>On Thu, Feb 07, 2019 at 10:49:36AM +0100, Maxime Chevallier wrote:
>> The Marvell Alaska family of PHYs supports 2.5GBaseT and 5GBaseT modes,
>> as defined in the 802.3bz specification.
>> 
>> When the link partner requests a 2.5GBASET link, the PHY will
>> reconfigure it's MII interface to 2500BASEX.
>> 
>> At 5G, the PHY will reconfigure it's interface to 5GBASE-R, but this
>> mode isn't supported by any MAC for now.
>> 
>> This was tested with :
>>  - The 88X3310, which is on the MacchiatoBin  
>
>Hi Maxime,
>
>Looking deeper at this, I think we actually need an additional patch at
>the beginning of your series.
>
>The default AN advertisement in 7.32 is 0x1181 - which includes the
>2.5G and 5G modes.  We need to clear these bits, so that when the 10G
>mode disabled via ethtool, we do not switch to 2.5G or 5G speed (both
>of which are not currently reported as supported.)  Such a patch needs
>backporting to stable kernels.

Good catch. The issue seems fixed by Andrew's patch :
3de97f3c6308 ("net: phy: marvell10g: use genphy_c45_an_config_aneg")

However, the fix should indeed be backported to the -stable trees, I've
been able to repdocude this on 4.20. I'll take care of sending a patch
to -net for that.

Thanks for reporting this,

Maxime